Bug 173128 - [WebCrypto] Remove unsupported CryptoAlgorithmIdentifier
Summary: [WebCrypto] Remove unsupported CryptoAlgorithmIdentifier
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks: 166746
  Show dependency treegraph
 
Reported: 2017-06-08 21:58 PDT by Jiewen Tan
Modified: 2017-06-14 23:53 PDT (History)
10 users (show)

See Also:


Attachments
Patch (19.31 KB, patch)
2017-06-08 22:03 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2017-06-08 21:58:41 PDT
Remove unsupported CryptoAlgorithmIdentifier.
Comment 1 Radar WebKit Bug Importer 2017-06-08 21:59:14 PDT
<rdar://problem/32666826>
Comment 2 Jiewen Tan 2017-06-08 22:03:48 PDT
Created attachment 312379 [details]
Patch
Comment 3 Build Bot 2017-06-08 22:06:47 PDT
Attachment 312379 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:233:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:234:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:235:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:236:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:237:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:238:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:239:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:240:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:241:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:242:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:243:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
Total errors found: 11 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Brent Fulgham 2017-06-09 08:50:55 PDT
Comment on attachment 312379 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=312379&action=review

> Source/WebCore/bindings/js/JSCryptoAlgorithmDictionary.cpp:-319
> -    case CryptoAlgorithmIdentifier::AES_CMAC:

When we remove these cases, do we have a general error handler that reports to the user that it is an unsupported algorithm?

If so, r=me.
Comment 5 Jiewen Tan 2017-06-09 16:41:13 PDT
Comment on attachment 312379 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=312379&action=review

Thanks Brent for r+ my patch.

>> Source/WebCore/bindings/js/JSCryptoAlgorithmDictionary.cpp:-319
>> -    case CryptoAlgorithmIdentifier::AES_CMAC:
> 
> When we remove these cases, do we have a general error handler that reports to the user that it is an unsupported algorithm?
> 
> If so, r=me.

Yes, we do.
Comment 6 WebKit Commit Bot 2017-06-09 17:08:32 PDT
Comment on attachment 312379 [details]
Patch

Clearing flags on attachment: 312379

Committed r218030: <http://trac.webkit.org/changeset/218030>
Comment 7 WebKit Commit Bot 2017-06-09 17:08:34 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Jon Lee 2017-06-14 23:53:00 PDT
this breaks Netflix.